## hplip 3.19.12+dfsg0

=== debian/changelog ===
hplip (3.19.12+dfsg0-4ubuntu1) focal; urgency=medium

  * Merged from Debian unstable, remaining changes:
    - python3.8.diff: Fix building with Python 3.8.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 14 Feb 2020 11:53:00 +0100

hplip (3.19.12+dfsg0-4) unstable; urgency=medium

  * Import 34 patches from Fedora, which huge thanks to them!
    - Replace Debian-specific "Convert str.translate to a py3-compatible
      version" with Fedora's "hp-setup fails on fax setup - use binary
      strings" (Closes: #948932)
    [ Tim Waugh ]
    - Replace rubbish pstotiff filter
    - Fix strstr const
    - Retry when connecting to device fails
    - Mark SNMP quirks for two lying devices
    - Fix bogus low ink warning from hpijs driver
    - Clear old state reasons
    - Avoid busy loop in hpcups when backend has exited
    - CUPS filters should use TMPDIR when available
    - Fixed Device ID parsing code in hpijs's dj9xxvip.c
    - Fixed left/right margins for HP DeskJet 990C
    - Fixed uses of strncpy throughout
    - Ignore IOError when logging output
    - Fixed hpcups crash when required plugin missing
    [ Jiří Popelka ]
    - Added several IEEE 1284 Device IDs
    - IEEE1284 Device ID for HP LaserJet 4000
    - Fix ImageableArea for Laserjet 8150/9000
    - Fix parsing of avahi-daemon output
    [ Zdenek Dohnal ]
    - Exit if source cannot be fetched from device
    - hp-check shows 'CUPS incompatible or not running' even if CUPS is
      running
    - hp-firmware:NameError: name 'INTERACTIVE_MODE4' is not defined
    - hp-setup fails on fax setup - use binary strings
    - Fixed hp-setup crash when user wants to define path to PPD file
    - Ignore symlinks when installing plugins
    - Scanning broken for HP LaserJet 3052
    - Cannot scan with M281fdw LaserJet - failed: Error during device I/O
      (Closes: #945109)
    - Fixing issues found by coverity scan
    - [abrt] hplip: strlen(): hp killed by SIGSEGV
    - [abrt] hp-systray:BlockingIOError: [Errno 11] Resource temporarily
      unavailable
    - Missing drivers (Closes: #949578)
    [ Tomas Korbar ]
    - Fix TypeError
    - Fix TypeError in hpfax
    - Fix AttributeError when connecting to printer via wifi

 -- Didier Raboud <odyx@debian.org>  Fri, 31 Jan 2020 13:54:10 +0100

hplip (3.19.12+dfsg0-3ubuntu1) focal; urgency=medium

  * Fix building with Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jan 2020 10:20:11 +0100

hplip (3.19.12+dfsg0-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:31:56 +0000

hplip (3.19.12+dfsg0-3) unstable; urgency=medium

  * Convert str.translate to a py3-compatible version (Closes: #948932)

 -- Didier Raboud <odyx@debian.org>  Fri, 17 Jan 2020 15:12:43 +0100

hplip (3.19.12+dfsg0-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Build with libusb-1.0 on any non-kfreebsd platform (Closes: #947824)

 -- Didier Raboud <odyx@debian.org>  Tue, 31 Dec 2019 10:45:28 +0100

hplip (3.19.12+dfsg0-1) unstable; urgency=medium

  * New 3.19.12 upstream version

 -- Didier Raboud <odyx@debian.org>  Fri, 13 Dec 2019 15:07:03 +0100

hplip (3.19.11+dfsg0-1) unstable; urgency=medium

  * New 3.19.11 upstream version

  * Bump Standards-Version to 4.4.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 05 Nov 2019 10:23:10 +0100

hplip (3.19.8+dfsg0-7) unstable; urgency=medium

  [ Didier Raboud ]
  * Fix dat2drv.py to run with python3; run it at build-time to recreate the
    .drv.in files from their templates

  [ Till Kamppeter ]
  * Remove all page size choices named "Custom". they break with CUPS and are
    also identical with US Legal

 -- Didier Raboud <odyx@debian.org>  Tue, 01 Oct 2019 21:57:52 +0200

hplip (3.19.8+dfsg0-6) unstable; urgency=medium

  * Fix autopkgtests:
    - hpcups: Only test drivers that don't need a proprietary driver
    - hpijs: drop test; as it's too hard to determine which don't need a
      proprietary driver
  * Fix HEAD-instead-of-GET patch: follow redirects
  * Circumvent new CUPS restriction against 'Custom' in PPD options
    through modifying all printer-driver-postscript-hp ppds to use
    'Customized'

 -- Didier Raboud <odyx@debian.org>  Mon, 23 Sep 2019 16:56:59 +0200

hplip (3.19.8+dfsg0-5) unstable; urgency=medium

  * Autopkgtests: only test a subset of printers

 -- Didier Raboud <odyx@debian.org>  Sun, 22 Sep 2019 14:01:17 +0200

hplip (3.19.8+dfsg0-4) unstable; urgency=medium

  * Add autopkgtests
  * Fix hp-doctor shebang to also use python3
  * Patch upstream code to enforce Debian assumptions:
    - The distro version is supported
    - Auto installation is not allowed
    - Forbid hplip's installer to install "missing" packages by itself
  * printer-driver-postscript-hp: fix driver regexp for the CUPS trigger

 -- Didier Raboud <odyx@debian.org>  Sat, 21 Sep 2019 19:02:38 +0200

hplip (3.19.8+dfsg0-3) unstable; urgency=medium

  * Cleanup patch queue:
    - Remove all manual patch names
    - Rewrite libhpmud.so.0 dlopen call

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Sep 2019 09:22:23 +0200

hplip (3.19.8+dfsg0-2) unstable; urgency=medium

  [ Brian Potkin ]
  * Drop 'parallel-port' mentions in package descriptions
    (Closes: #933941)

  [ Didier Raboud ]
  * Fix version pattern check to support ghostscript RC versions
  * Fix the PIL.Image version check, to work with  Pillow > 6
  * Don't gpg --import, but rely on installed signing_key.asc
  * Shortcut distros.dat finding to point to where it is
  * Accelerate HTTP check by doing a HEAD, not a GET

 -- Didier Raboud <odyx@debian.org>  Thu, 19 Sep 2019 08:54:05 +0200
