## hplip 3.20.3+dfsg0

=== debian/changelog ===
hplip (3.20.3+dfsg0-2) unstable; urgency=medium

  * Patch upstream for python3.8 support:
    - Fix SyntaxWarning: "is"/"is not" with a literal (Closes: #955168,
      #954732, LP: #1870019)
    - Assume the python3-distro package is available, depend on it
      (Closes: #955137)

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Apr 2020 08:51:28 +0200

hplip (3.20.3+dfsg0-1) unstable; urgency=medium

  * New 3.20.3 upstream version
    - Drop the reversal patch for io/hpmud/jd.c as this was "fixed" upstream

 -- Didier Raboud <odyx@debian.org>  Wed, 11 Mar 2020 17:59:47 +0100

hplip (3.20.2+dfsg0-3) unstable; urgency=high

  * Fix dpkg-statoverride calls (Closes: #953318)
  * Add patch to revert 3.20.2 change to io/hpmud/jd.c (hopefully fixing
    some print failures)

 -- Didier Raboud <odyx@debian.org>  Mon, 09 Mar 2020 14:15:39 +0100

hplip (3.20.2+dfsg0-2) unstable; urgency=medium

  * Drop dpkg-statoverrides as they are pointless (in /run and /var/run)
  * (Closes: #952780)
  * Empty hplip-data's /usr/share/hplip/*/__pycache__ in prerm
    (Closes: #953097)
  * Backport Ubuntu patch from Matthias Klose to fix building with Python 3.8
    (Closes: #953095, #946561)

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Mar 2020 17:13:48 +0100

hplip (3.20.2+dfsg0-1) unstable; urgency=medium

  * New 3.20.2 upstream version
  * Packaging cleanup:
    - Wrap long lines in some changelog entries
    - Cleanup d/control from old version requirements
    - Bump Standards-Version to 4.5.0 without changes needed
    - Set hplip home to /run/hplip, not /var/run/hplip

 -- Didier Raboud <odyx@debian.org>  Fri, 28 Feb 2020 19:34:44 +0100
