=== debian/control ===
--- 
+++ 
@@ -24,14 +24,14 @@
                libusb2-dev [kfreebsd-any],
                patch,
                policykit-1,
-               pyppd (>= 1.0.1),
+               pyppd,
                pyqt5-dev-tools,
                python3-dev,
                python3-dbus,
                python3-gi,
                python3-pyqt5,
                debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/printing-team/hplip
 Vcs-Git: https://salsa.debian.org/printing-team/hplip.git
 Homepage: https://developers.hp.com/hp-linux-imaging-and-printing
@@ -96,7 +96,8 @@
 Architecture: all
 Depends: xz-utils,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-distro
 Suggests: hplip
 Description: HP Linux Printing and Imaging - data files
  The HP Linux Printing and Imaging System provides full support for
@@ -163,7 +164,7 @@
 
 Package: hpijs-ppds
 Architecture: all
-Depends: cups-filters (>= 1.0.42) | foomatic-filters,
+Depends: cups-filters | foomatic-filters,
          printer-driver-hpijs (>= ${source:Version}),
          ${misc:Depends}
 Breaks: foomatic-filters-ppds (>> 20000101),
@@ -187,7 +188,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: cups | hpijs-ppds,
-            cups-filters (>= 1.0.42) | foomatic-filters,
+            cups-filters | foomatic-filters,
             ghostscript
 Suggests: hpijs-ppds,
           hplip,
@@ -219,7 +220,7 @@
 Architecture: any
 Section: text
 Depends: cups,
-         cups-filters (>= 1.0.36) | ghostscript-cups,
+         cups-filters | ghostscript-cups,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: hplip (= ${binary:Version}),
@@ -303,3 +304,4 @@
             sane-utils
 Pre-Depends: ${misc:Pre-Depends}
 Breaks: hplip (<< 3.17.10+repack0-5~)
+Replaces: hplip (<< 3.17.10+repack0-5~)
