## hplip 3.20.5+dfsg0

=== debian/changelog ===
hplip (3.20.5+dfsg0-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat = 12.
  * Disable the three patches for Python 3.8 and
    0072-Fix-upstream-CFLAGS-override.patch.
  * Dsable dh_dwz to avoid FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 Jun 2020 16:47:13 -0700

hplip (3.20.5+dfsg0-3) unstable; urgency=medium

  * Import patch from Fedora to fix upstream CFLAGS override (Closes: #961028)

 -- Didier Raboud <odyx@debian.org>  Sun, 24 May 2020 17:56:09 +0200

hplip (3.20.5+dfsg0-2) unstable; urgency=medium

  * Fix non-amd64 libsane-hpaio.so non-installation

 -- Didier Raboud <odyx@debian.org>  Sat, 16 May 2020 13:42:36 +0200

hplip (3.20.5+dfsg0-1) unstable; urgency=medium

  * New 3.20.5 upstream version
    - git debrebase to refresh the patches
  * Bump debhelper compat to 13
    - Mark hp-uiscan as not-installed

 -- Didier Raboud <odyx@debian.org>  Sat, 16 May 2020 11:28:23 +0200
