=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: hplip
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            Didier Raboud <odyx@debian.org>,
            Till Kamppeter <till.kamppeter@gmail.com>,
@@ -53,8 +54,8 @@
          wget,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
-Recommends: avahi-daemon,
+         ${shlibs:Depends},
+         avahi-daemon,
             policykit-1,
             printer-driver-postscript-hp,
             sane-utils
@@ -303,5 +304,3 @@
 Recommends: hplip (= ${binary:Version}),
             sane-utils
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: hplip (<< 3.17.10+repack0-5~)
-Replaces: hplip (<< 3.17.10+repack0-5~)
