=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 
 %:
 	dh $@ --buildsystem=autoconf --with python3 --with pyppd
-
 override_dh_autoreconf:
 	dh_autoreconf --as-needed sh -- debian/autogen.sh
