## hplip 3.20.9+dfsg0

=== debian/changelog ===
hplip (3.20.9+dfsg0-3~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.
  * Disable the three patches for Python 3.8 and
    0072-Fix-upstream-CFLAGS-override.patch.
  * Dsable dh_dwz to avoid FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Oct 2020 14:03:11 -0700

hplip (3.20.9+dfsg0-3) unstable; urgency=medium

  * Migrate 3.20.9 to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 12 Oct 2020 19:32:04 +0200

hplip (3.20.9+dfsg0-2) experimental; urgency=medium

  * ci: For hpcups, also test _all_ drivers, but with one PDF only
  * 3.20.6+ regression: In models.dat, take 3.20.5's "plugin=1" for all models
    marked as needing the plugin for printing

 -- Didier Raboud <odyx@debian.org>  Sun, 04 Oct 2020 17:44:05 +0200

hplip (3.20.9+dfsg0-1) experimental; urgency=medium

  * New 3.20.9 upstream version
    - git debrebase to refresh patches
    - add libavahi-core-dev and libavahi-client-dev Build-Depends

 -- Didier Raboud <odyx@debian.org>  Sat, 03 Oct 2020 17:59:41 +0200

hplip (3.20.6+dfsg0-2) experimental; urgency=medium

  * Let IsChromeOS always return 0 (Closes: #940317)

 -- Didier Raboud <odyx@debian.org>  Sun, 16 Aug 2020 14:15:42 +0200

hplip (3.20.6+dfsg0-1) experimental; urgency=medium

  * New 3.20.6 upstream version
    - git debrebase to refresh the patches
  * Refresh d/copyright
  * Upload to experimental because of upstream bug #1883898 "version 3.20.6
    turns off plugin requirement for most printers" (while the plugin is
    apparently still needed)

 -- Didier Raboud <odyx@debian.org>  Wed, 24 Jun 2020 22:26:12 +0200
