=== debian/control ===
--- 
+++ 
@@ -10,8 +10,11 @@
 Build-Depends: autoconf,
                automake,
                cups,
+               debhelper-compat (= 12),
                dh-python,
                fdupes,
+               libavahi-client-dev,
+               libavahi-core-dev,
                libcups2-dev,
                libcupsimage2-dev,
                libdbus-1-dev,
@@ -27,11 +30,10 @@
                policykit-1,
                pyppd,
                pyqt5-dev-tools,
+               python3-dbus,
                python3-dev,
-               python3-dbus,
                python3-gi,
-               python3-pyqt5,
-               debhelper-compat (= 12)
+               python3-pyqt5
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/printing-team/hplip
 Vcs-Git: https://salsa.debian.org/printing-team/hplip.git
@@ -55,14 +57,8 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         avahi-daemon,
-            policykit-1,
-            printer-driver-postscript-hp,
-            sane-utils
-Suggests: hplip-doc,
-          hplip-gui,
-          python3-notify2,
-          system-config-printer
+          avahi-daemon, policykit-1, printer-driver-postscript-hp, sane-utils
+Suggests: hplip-doc, hplip-gui, python3-notify2, system-config-printer
 Description: HP Linux Printing and Imaging System (HPLIP)
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -95,10 +91,7 @@
 
 Package: hplip-data
 Architecture: all
-Depends: xz-utils,
-         ${misc:Depends},
-         ${python3:Depends},
-         python3-distro
+Depends: python3-distro, xz-utils, ${misc:Depends}, ${python3:Depends}
 Suggests: hplip
 Description: HP Linux Printing and Imaging - data files
  The HP Linux Printing and Imaging System provides full support for
@@ -111,8 +104,7 @@
 
 Package: printer-driver-postscript-hp
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: hplip (>= ${binary:Version})
 Breaks: hplip (<< 3.18.3+dfsg0-1~)
 Replaces: hplip (<< 3.18.3+dfsg0-1~)
@@ -133,8 +125,7 @@
          python3-pyqt5,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-notify2,
-            xsane | simple-scan | skanlite
+Recommends: python3-notify2, xsane | simple-scan | skanlite
 Description: HP Linux Printing and Imaging - GUI utilities (Qt-based)
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -168,8 +159,7 @@
 Depends: cups-filters | foomatic-filters,
          printer-driver-hpijs (>= ${source:Version}),
          ${misc:Depends}
-Breaks: foomatic-filters-ppds (>> 20000101),
-        hplip-ppds
+Breaks: foomatic-filters-ppds (>> 20000101), hplip-ppds
 Provides: hplip-ppds
 Replaces: hplip-ppds
 Description: HP Linux Printing and Imaging - HPIJS PPD files
@@ -185,15 +175,9 @@
 Package: printer-driver-hpijs
 Architecture: any
 Section: text
-Depends: libhpmud0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: cups | hpijs-ppds,
-            cups-filters | foomatic-filters,
-            ghostscript
-Suggests: hpijs-ppds,
-          hplip,
-          hplip-doc
+Depends: libhpmud0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: cups | hpijs-ppds, cups-filters | foomatic-filters, ghostscript
+Suggests: hpijs-ppds, hplip, hplip-doc
 Description: HP Linux Printing and Imaging - printer driver (hpijs)
  This package contains an IJS printer driver for Ghostscript, which
  adds support for most inkjet printers and some LaserJet printers
@@ -224,8 +208,7 @@
          cups-filters | ghostscript-cups,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: hplip (= ${binary:Version}),
-          hplip-doc
+Suggests: hplip (= ${binary:Version}), hplip-doc
 Description: HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
  This package contains a CUPS-Raster-based printer driver which adds support
  for most inkjet printers and some LaserJet printers manufactured by HP. It
@@ -248,8 +231,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: HP Multi-Point Transport Driver (hpmud) run-time libraries
  The HP Linux Printing and Imaging System provides full support for
@@ -272,9 +254,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libhpmud0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libhpmud0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: HP Multi-Point Transport Driver (hpmud) development libraries
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -299,8 +279,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: hplip (= ${binary:Version}),
-            sane-utils
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: hplip (= ${binary:Version}), sane-utils
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: hplip (<< 3.17.10+repack0-5~)
+Replaces: hplip (<< 3.17.10+repack0-5~)
+Description: HP SANE backend for multi-function peripherals
