## hplip 3.20.11%2Bdfsg0

=== debian/changelog ===
hplip (3.20.11+dfsg0-1+lmtrfocal) focal; urgency=medium

  * No changes, backport from Debian Sid.

 -- Gökhan Gökkaya <wirelessanten@gmail.com>  Sat, 05 Dec 2020 16:57:32 +0300

hplip (3.20.11+dfsg0-1) unstable; urgency=medium

  * New 3.20.11 upstream version

 -- Didier Raboud <odyx@debian.org>  Fri, 04 Dec 2020 13:45:16 +0100

hplip (3.20.9+dfsg0-4) unstable; urgency=medium

  * Drop the "test all printers" autopkgtests, to push 3.20.9 to bullseye

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Oct 2020 09:25:37 +0200
