## hplip 3.20.11+dfsg0

=== debian/changelog ===
hplip (3.20.11+dfsg0-2) unstable; urgency=medium

  * Cleanup Uploaders, with thanks for their past work on hplip:
    - Drop Julian Andres Klode <jak> (Closes: #981829)
    - Drop Mark Purcell <msp>

 -- Didier Raboud <odyx@debian.org>  Sun, 07 Feb 2021 16:40:44 +0100
