=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: hplip
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Didier Raboud <odyx@debian.org>,
+Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Uploaders: Didier Raboud <odyx@debian.org>,
            Till Kamppeter <till.kamppeter@gmail.com>,
-           Julian Andres Klode <jak@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: autoconf,
                automake,
                cups,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                fdupes,
                libavahi-client-dev,
@@ -33,7 +30,7 @@
                python3-dbus,
                python3-dev,
                python3-gi,
-               python3-pyqt5
+               python3-pyqt5,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/printing-team/hplip
 Vcs-Git: https://salsa.debian.org/printing-team/hplip.git
@@ -57,8 +54,14 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-          avahi-daemon, policykit-1, printer-driver-postscript-hp, sane-utils
-Suggests: hplip-doc, hplip-gui, python3-notify2, system-config-printer
+Recommends: avahi-daemon,
+            policykit-1,
+            printer-driver-postscript-hp,
+            sane-utils,
+Suggests: hplip-doc,
+          hplip-gui,
+          python3-notify2,
+          system-config-printer,
 Description: HP Linux Printing and Imaging System (HPLIP)
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -91,8 +94,11 @@
 
 Package: hplip-data
 Architecture: all
-Depends: python3-distro, xz-utils, ${misc:Depends}, ${python3:Depends}
-Suggests: hplip
+Depends: python3-distro,
+         xz-utils,
+         ${misc:Depends},
+         ${python3:Depends},
+Suggests: hplip,
 Description: HP Linux Printing and Imaging - data files
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -104,10 +110,11 @@
 
 Package: printer-driver-postscript-hp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: hplip (>= ${binary:Version})
-Breaks: hplip (<< 3.18.3+dfsg0-1~)
-Replaces: hplip (<< 3.18.3+dfsg0-1~)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Suggests: hplip (>= ${binary:Version}),
+Breaks: hplip (<< 3.18.3+dfsg0-1~),
+Replaces: hplip (<< 3.18.3+dfsg0-1~),
 Description: HP Printers PostScript Descriptions
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -124,8 +131,9 @@
          python3-dbus.mainloop.pyqt5,
          python3-pyqt5,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: python3-notify2, xsane | simple-scan | skanlite
+         ${python3:Depends},
+Recommends: python3-notify2,
+            xsane | simple-scan | skanlite,
 Description: HP Linux Printing and Imaging - GUI utilities (Qt-based)
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -142,8 +150,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
-Suggests: hplip
+Depends: ${misc:Depends},
+Suggests: hplip,
 Description: HP Linux Printing and Imaging - documentation
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -158,10 +166,11 @@
 Architecture: all
 Depends: cups-filters | foomatic-filters,
          printer-driver-hpijs (>= ${source:Version}),
-         ${misc:Depends}
-Breaks: foomatic-filters-ppds (>> 20000101), hplip-ppds
-Provides: hplip-ppds
-Replaces: hplip-ppds
+         ${misc:Depends},
+Breaks: foomatic-filters-ppds (>> 20000101),
+        hplip-ppds,
+Provides: hplip-ppds,
+Replaces: hplip-ppds,
 Description: HP Linux Printing and Imaging - HPIJS PPD files
  This package contains PPD (printer definition) files for the
  printers supported through the HP Linux Printing and Imaging
@@ -175,9 +184,15 @@
 Package: printer-driver-hpijs
 Architecture: any
 Section: text
-Depends: libhpmud0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: cups | hpijs-ppds, cups-filters | foomatic-filters, ghostscript
-Suggests: hpijs-ppds, hplip, hplip-doc
+Depends: libhpmud0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: cups | hpijs-ppds,
+            cups-filters | foomatic-filters,
+            ghostscript,
+Suggests: hpijs-ppds,
+          hplip,
+          hplip-doc,
 Description: HP Linux Printing and Imaging - printer driver (hpijs)
  This package contains an IJS printer driver for Ghostscript, which
  adds support for most inkjet printers and some LaserJet printers
@@ -207,8 +222,9 @@
 Depends: cups,
          cups-filters | ghostscript-cups,
          ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: hplip (= ${binary:Version}), hplip-doc
+         ${shlibs:Depends},
+Suggests: hplip (= ${binary:Version}),
+          hplip-doc,
 Description: HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
  This package contains a CUPS-Raster-based printer driver which adds support
  for most inkjet printers and some LaserJet printers manufactured by HP. It
@@ -231,8 +247,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
 Description: HP Multi-Point Transport Driver (hpmud) run-time libraries
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -254,7 +271,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libhpmud0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libhpmud0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: HP Multi-Point Transport Driver (hpmud) development libraries
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -279,9 +298,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: hplip (= ${binary:Version}), sane-utils
-Pre-Depends: ${misc:Pre-Depends}
-Breaks: hplip (<< 3.17.10+repack0-5~)
-Replaces: hplip (<< 3.17.10+repack0-5~)
-Description: HP SANE backend for multi-function peripherals
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: hplip (= ${binary:Version}),
+            sane-utils,
+Pre-Depends: ${misc:Pre-Depends},
+Breaks: hplip (<< 3.17.10+repack0-5~),
